using C1.Silverlight.Data;
using System;

namespace StockPortfolio
{
    public class TransactionsDataRow : DataRow
    {
        public TransactionsDataRow()
            : base()
        {
        }
        public int ID
        {
            get
            {
                return (int)this["ID"];
            }
            set
            {
                this["ID"] = value;
            }
        }
        public int Portfolio
        {
            get
            {
                return (int)this["Portfolio"];
            }
            set
            {
                this["Portfolio"] = value;
            }
        }

        public string Symbol
        {
            get
            {
                return (string)this["Symbol"];
            }
            set
            {
                this["Symbol"] = value;
            }
        }

        public double LastPrice
        {
            get
            {
                return (double)this["Last Price"];
            }
            set
            {
                this["Last Price"] = value;
            }
        }

        public double Open
        {
            get
            {
                return (double)this["Open"];
            }
            set
            {
                this["Open"] = value;
            }
        }
        public double High
        {
            get
            {
                return (double)this["High"];
            }
            set
            {
                this["High"] = value;
            }
        }

        public double Low
        {
            get
            {
                return (double)this["Low"];
            }
            set
            {
                this["Low"] = value;
            }
        }

        public DateTime Date
        {
            get
            {
                return (DateTime)this["Date"];
            }
            set
            {
                this["Date"] = value;
            }
        }

        public int Shares
        {
            get
            {
                return (int)this["Shares"];
            }
            set
            {
                this["Shares"] = value;
            }
        }

        public double Price
        {
            get
            {
                return (double)this["Price"];
            }
            set
            {
                this["Price"] = value;
            }
        }

        public double Commission
        {
            get
            {
                return (double)this["Commission"];
            }
            set
            {
                this["Commission"] = value;
            }
        }

        public double CostBasis
        {
            get
            {
                return (double)this["Cost Basis"];
            }
            set
            {
                this["Cost Basis"] = value;
            }
        }

        public double MarketValue
        {
            get
            {
                return (double)this["Market Value"];
            }
            set
            {
                this["Market Value"] = value;
            }
        }

        public double Gain
        {
            get
            {
                return (double)this["Gain"];
            }
            set
            {
                this["Gain"] = value;
            }
        }

        public double GainP
        {
            get
            {
                return (double)this["Gain%"];
            }
            set
            {
                this["Gain%"] = value;
            }
        }

        public string Notes
        {
            get
            {
                return (string)this["Notes"];
            }
            set
            {
                this["Notes"] = value;
            }
        }

    }
}
